
local On = CreateClientConVar( "qhud_propinfo", 1, true, true )

local x = 0
local len = 200
local alpha = 0

local Ang = ""
local Pos = ""
local Vel = ""
local Cla = ""
local Mod = ""
local Mat = ""

local function qHUDPropInfo()
	if( On:GetInt() == 1 ) then
		alpha = math.Clamp( alpha + 1, 0, 100 )
	else
		alpha = math.Clamp( alpha - 1, 0, 100 )
	end

	local tr = util.TraceLine( util.GetPlayerTrace( LocalPlayer() ) )

	if( tr.Entity:IsValid() ) then
		Ang = tostring( tr.Entity:GetAngles() )
		Pos = tostring( tr.Entity:GetPos() )
		Vel = tostring( tr.Entity:GetVelocity() )
		Cla = tostring( tr.Entity:GetClass() )
		Mod = tostring( tr.Entity:GetModel() )
		Mat = "Default"
		if( tostring( tr.Entity:GetMaterial() ) == "" ) then
			Mat = "Default"
		else
			Mat = tostring( tr.Entity:GetMaterial() )
		end

		local lenAng = QuickTextSize( "TabLarge", "Angles: "..Ang )
		local lenPos = QuickTextSize( "TabLarge", "Position: "..Pos )
		local lenVel = QuickTextSize( "TabLarge", "Velocity: "..Vel )
		local lenCla = QuickTextSize( "TabLarge", "Class: "..Cla )
		local lenMod = QuickTextSize( "TabLarge", "Model: "..Mod )
		local lenMat = QuickTextSize( "TabLarge", "Material: "..Mat )

		len = math.max( lenAng, lenPos, lenVel, lenCla, lenMod, lenMat )

		x = math.Clamp( x + 22.5, -( len + 20 ), 0 )
	else
		x = math.Clamp( x - 22.5, -( len + 20 ), 0 )
	end

	DrawBox( x, ScrH() / 3 - 49, len + 20, 98, Color( 20, 20, 20, alpha ), 1 )

	draw.SimpleText( "Model: "..Mod,    "TabLarge", x + 10, ScrH() / 3 - 37.5 + ( 0 * 12 ), Color( 0, 195, 255, alpha * 2.55 ) )
	draw.SimpleText( "Material: "..Mat, "TabLarge", x + 10, ScrH() / 3 - 37.5 + ( 1 * 12 ), Color( 255, 255, 100, alpha * 2.55 ) )
	draw.SimpleText( "Class: "..Cla,    "TabLarge", x + 10, ScrH() / 3 - 37.5 + ( 2 * 12 ), Color( 0, 195, 255, alpha * 2.55 ) )
	draw.SimpleText( "Position: "..Pos, "TabLarge", x + 10, ScrH() / 3 - 37.5 + ( 3 * 12 ), Color( 255, 255, 100, alpha * 2.55 ) )
	draw.SimpleText( "Velocity: "..Vel, "TabLarge", x + 10, ScrH() / 3 - 37.5 + ( 4 * 12 ), Color( 0, 195, 255, alpha * 2.55 ) )
	draw.SimpleText( "Angles: "..Ang,   "TabLarge", x + 10, ScrH() / 3 - 37.5 + ( 5 * 12 ), Color( 255, 255, 100, alpha * 2.55 ) )
end
hook.Add( "HUDPaint", "qHUDPropInfo", qHUDPropInfo )

