
include( "qhud/cl/qhud_scoreboard/qhud_scoreboard.lua" )
include( "qhud/cl/qhud_scoreboard/qhud_player_row.lua" )
include( "qhud/cl/qhud_scoreboard/qhud_player_frame.lua" )
include( "qhud/cl/qhud_scoreboard/qhud_player_infocard.lua" )
include( "qhud/cl/qhud_scoreboard/qhud_admin_buttons.lua" )
include( "qhud/cl/qhud_scoreboard/qhud_vote_button.lua" )

local pScoreBoard = nil

/*---------------------------------------------------------
   Desc: Creates/Recreates the scoreboard
---------------------------------------------------------*/
function CreateScoreboard()
	if ( pScoreBoard ) then
		pScoreBoard:Remove()
		pScoreBoard = nil
	end

	pScoreBoard = vgui.Create( "qHUDScoreBoard" )
end

/*---------------------------------------------------------
   Desc: Sets the scoreboard to visible
---------------------------------------------------------*/
function qHUDScoreboardShow()
	GAMEMODE.ShowScoreboard = true
	gui.EnableScreenClicker( true )

	if ( !pScoreBoard ) then
		CreateScoreboard()
	end

	pScoreBoard:SetVisible( true )
	pScoreBoard:UpdateScoreboard( true )
	return true
end
hook.Add( "ScoreboardShow", "qHUDScoreboardShow", qHUDScoreboardShow )

/*---------------------------------------------------------
   Desc: Hides the scoreboard
---------------------------------------------------------*/
function qHUDScoreboardHide()
	GAMEMODE.ShowScoreboard = false
	gui.EnableScreenClicker( false )

	if ( pScoreBoard ) then pScoreBoard:SetVisible( false ) end
end
hook.Add( "ScoreboardHide", "qHUDScoreboardHide", qHUDScoreboardHide )