
local Settings

local function qHUDSettings()
	if( !Settings ) then
		Settings = vgui.Create( "DFrame" )
		Settings:SetPos( 100, 100 )
		Settings:SetSize( 250, 200 )
		Settings:SetTitle( "Settings" )
		Settings:SetVisible( true )
		Settings:SetDraggable( true )
		Settings:SetSizable( false )
		Settings:ShowCloseButton( false )
		Settings:MakePopup()

		local Close = vgui.Create( "DSysButton", Settings )
		Close:SetSize( 16, 16 )
		Close:SetPos( Settings:GetWide() - Close:GetWide() - 3, 3 )
		Close:SetType( "close" )
		Close.DoClick = function()
			Settings:SetVisible( false )
		end

		local Compass = vgui.Create( "DCheckBoxLabel", Settings )
		Compass:SetPos( 10, 30 )
		Compass:SetText( "Show Compass" )
		Compass:SetConVar( "qhud_compass" )
		Compass:SizeToContents()

		local PropInfo = vgui.Create( "DCheckBoxLabel", Settings )
		PropInfo:SetPos( 10, 50 )
		PropInfo:SetText( "Show Prop Info" )
		PropInfo:SetConVar( "qhud_propinfo" )
		PropInfo:SizeToContents()

		local Crosshair1 = vgui.Create( "DCheckBoxLabel", Settings )
		Crosshair1:SetPos( 10, 70 )
		Crosshair1:SetText( "Show First Crosshair" )
		Crosshair1:SetConVar( "qhud_cross_first" )
		Crosshair1:SizeToContents()

		local Crosshair2 = vgui.Create( "DCheckBoxLabel", Settings )
		Crosshair2:SetPos( 10, 90 )
		Crosshair2:SetText( "Show Second Crosshair" )
		Crosshair2:SetConVar( "qhud_cross_second" )
		Crosshair2:SizeToContents()

		local Crosshair1Speed = vgui.Create( "DNumSlider", Settings )
		Crosshair1Speed:SetPos( 10, 110 )
		Crosshair1Speed:SetWide( 230 )
		Crosshair1Speed:SetText( "First Crosshair Rotating Speed" )
		Crosshair1Speed:SetMin( -180 )
		Crosshair1Speed:SetMax( 180 )
		Crosshair1Speed:SetDecimals( 0 )
		Crosshair1Speed:SetConVar( "qhud_cross_rotating_first" )

		local Crosshair2Speed = vgui.Create( "DNumSlider", Settings )
		Crosshair2Speed:SetPos( 10, 150 )
		Crosshair2Speed:SetWide( 230 )
		Crosshair2Speed:SetText( "Second Crosshair Rotating Speed" )
		Crosshair2Speed:SetMin( -180 )
		Crosshair2Speed:SetMax( 180 )
		Crosshair2Speed:SetDecimals( 0 )
		Crosshair2Speed:SetConVar( "qhud_cross_rotating_second" )
	else
		Settings:SetVisible( !Settings:IsVisible() );
	end
end
concommand.Add( "qhud_settings", qHUDSettings )

