
local cl_files = file.FindInLua( "qhud/cl/*.lua" )
local sv_files = file.FindInLua( "qhud/sv/*.lua" )
local sh_files = file.FindInLua( "qhud/sh/*.lua" )

print( "===== qHUD loaded  =====" )

local function qHUDLoad()
	if ( SERVER ) then
		resource.AddFile( "materials/qhud/qhud_first_crosshair.vtf" )
		resource.AddFile( "materials/qhud/qhud_second_crosshair.vtf" )
		resource.AddFile( "materials/qhud/qhud_compass.vtf" )

		resource.AddFile( "materials/qhud/qhud_first_crosshair.vmt" )
		resource.AddFile( "materials/qhud/qhud_second_crosshair.vmt" )
		resource.AddFile( "materials/qhud/qhud_compass.vmt" )

		for k, v in ipairs( cl_files ) do
			AddCSLuaFile( "qhud/cl/" .. v )
		end

		for k, v in ipairs( sh_files ) do
			AddCSLuaFile( "qhud/sh/" .. v )
			include( "qhud/sh/" .. v )
			print( "Running file: " .. v )
		end

		for k, v in ipairs( sv_files ) do
			include( "qhud/sv/" .. v )
			print( "Running file: " .. v )
		end
	end

	if ( CLIENT ) then
		for k, v in ipairs( cl_files ) do	
			include( "qhud/cl/" .. v )
			print( "Running file: " .. v )
		end

		for k, v in pairs( sh_files ) do
			include( "qhud/sh/" .. v )
			print( "Running file: " .. v )
		end
	end
end
qHUDLoad()

local function qHUDReload()
	qHUDLoad()
end
concommand.Add( "qhud_reload", qHUDReload )

