
/*---------------------------------------
--  Client Part
---------------------------------------*/
if( CLIENT ) then
	function DrawBox( x, y, w, h, col, s )
		if not s then s = 3 end

		local rc = col

		for i = 0, s do
			draw.RoundedBox( 0, x + i, y + i, w - i * 2, h - i * 2, Color( rc.r / i, rc.g / i, rc.b / i, rc.a ) )
		end

		surface.SetTexture( up )
		surface.SetDrawColor( Color( rc.r, rc.g, rc.b, rc.a / 2 ) )
		surface.DrawTexturedRect( x, y, w, h )	
	end

	function CursorPos( x, y, w, h )
		local cpx, cpy = gui.MousePos()

		if ( cpx > x ) and ( cpx < x + w ) and ( cpy > y ) and ( cpy < y + h ) then
			return true
		end
		return false
	end

	function QuickTextSize( font, text )
		surface.SetFont( font )
		return surface.GetTextSize( text )
	end
	
	local function PlayerFirstSpawn( ply )
		if( ply == LocalPlayer() ) then
			local addon = {}
			addon.Name = "qHUD"
			addon.Author = "xDr.HaaaaaaaXx"
			addon.Version = "1.1"

			print( "" )
			print( "-----------------------------------" )
			print( "---     "..addon.Name.." - version "..addon.Version.."      ---" )
			print( "---  Created by " ..addon.Author.."  ---" )
			print( "-----------------------------------" )
			print( "" )
		end
	end
	hook.Add( "PlayerInitialSpawn", "PlayerSpawn", PlayerFirstSpawn )

	hook.Add( "PlayerBindPress", "PlayerBindPress", function( ply, bind, pressed )
		if string.find( bind, "gm_showspare1" ) then
			gui.EnableScreenClicker( !vgui.CursorVisible() )
		end
	end )

	usermessage.Hook( "addons", function( um )
		Luapad = um:ReadBool()
	end )
end

/*---------------------------------------
--  Server Part
---------------------------------------*/
if( SERVER ) then
	local Luapad = false

	if( file.Exists( "../addons/Luapad/info.txt" ) ) and ( file.Exists( "../addons/Luapad/lua/autorun/luapad.lua" ) ) and ( file.Exists( "../addons/Luapad/lua/autorun/luapad_editor.lua" ) ) then 
		Luapad = true
	end

	hook.Add( "PlayerInitialSpawn", "addons", function( ply )
		umsg.Start( "addons", ply )
			umsg.Bool( Luapad )
		umsg.End()
	end )
end

/*---------------------------------------
--  Shared Part
---------------------------------------*/

